package cn.iocoder.yudao.module.bpm.service.cons.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.consApproval.ConsApprovalService;
import cn.iocoder.yudao.module.order.service.order.OrderFeeApplicationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BpmConsBatchFreeApplyResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    ConsApprovalService consApprovalService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ECW_CONS_FEE_APPLY.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("------------------集运批量费用审核回调--------------------------{},{}", event.getId(), event.getResult());
        consApprovalService.updateFeeApproveBatchResult(event.getId(), event.getResult());
    }

}
